> ## Documentation Index
> Fetch the complete documentation index at: https://docs.exponent.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Wallet CLMM farm reward claims

> Retrieve indexed CLMM farm reward claims for a wallet.

export const ApiResponse = ({children, errors = {}}) => {
  const [status, setStatus] = useState("200");
  const statuses = ["200", ...Object.keys(errors)];
  return <section className="api-response" aria-label="Response">
      <div className="api-response-header not-prose">
        <h2>Response</h2>
        <div className="api-response-format">
          {statuses.length > 1 ? <select aria-label="Response status" value={status} onChange={event => setStatus(event.target.value)}>
              {statuses.map(code => <option key={code} value={code}>{code}</option>)}
            </select> : <span>200</span>}
          <span className="api-response-mime">application/json</span>
        </div>
      </div>
      <div hidden={status !== "200"}>{children}</div>
      {status !== "200" && <div aria-live="polite">
          {Object.entries(errors[status]).map(([name, value]) => <ResponseField key={name} name={name} type={value === null ? "null" : Array.isArray(value) ? "array" : typeof value}>
              {name === "error" ? "Error message describing why the request failed." : "Additional error details."}
            </ResponseField>)}
        </div>}
    </section>;
};

## Path parameters

<ParamField path="userAddress" type="string" required>
  User wallet address.
</ParamField>

## Query parameters

<ParamField query="market" type="string">
  Filter to a CLMM market.
</ParamField>

<ParamField query="vault" type="string">
  Filter to a vault.
</ParamField>

<ParamField query="lp_position" type="string">
  Filter to an LP position.
</ParamField>

<RequestExample dropdown>
  ```bash cURL theme={null}
  curl https://api.exponent.finance/rewards/clmm-lp/EeD5qkphoyGVmkfXLi3e1Rq3Hg2zdi7asMjVgXj1kdRq
  ```

  ```python Python theme={null}
  import requests

  response = requests.get("https://api.exponent.finance/rewards/clmm-lp/EeD5qkphoyGVmkfXLi3e1Rq3Hg2zdi7asMjVgXj1kdRq", timeout=30)
  response.raise_for_status()
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch("https://api.exponent.finance/rewards/clmm-lp/EeD5qkphoyGVmkfXLi3e1Rq3Hg2zdi7asMjVgXj1kdRq");
  if (!response.ok) {
    throw new Error(`Request failed: ${response.status}`);
  }
  const data = await response.json();
  console.log(data);
  ```
</RequestExample>

<ApiResponse errors={{"400": {"error": "<message>"}, "500": {"error": "<message>"}}}>
  <ResponseField name="amount" type="number">
    Claimed reward quantity in raw emission-token units.
  </ResponseField>

  <ResponseField name="amount_usd" type="number">
    USD value of the claimed farm rewards.
  </ResponseField>

  <ResponseField name="created_at" type="string">
    Time this record was created, in ISO 8601 format.
  </ResponseField>

  <ResponseField name="emission_mint" type="string">
    Mint of the reward token paid or accrued.
  </ResponseField>

  <ResponseField name="lp_position" type="string">
    LP position account associated with the event.
  </ResponseField>

  <ResponseField name="market_address" type="string">
    CLMM market associated with this record.
  </ResponseField>

  <ResponseField name="tx_signature" type="string">
    Solana transaction signature for this activity.
  </ResponseField>

  <ResponseField name="vault_address" type="string">
    Yield or strategy vault associated with this record.
  </ResponseField>
</ApiResponse>

<ResponseExample>
  ```json 200 theme={null}
  [
    {
      "created_at": "2026-07-30T05:51:11+00:00",
      "lp_position": "HA1HAidPNpTQnNvEka962RH1Us7daeZYjGgT1VYQ71St",
      "market_address": "FucShr6KuSmawEo9q694njNzGJ8qR6yuXf1YTMRbGkYX",
      "vault_address": "FLWUHWccnouW4EkB4dgczX9ZkSTA4FTnADiKSCkJvLp5",
      "emission_mint": "5Y8NV33Vv7WbnLfq3zBcKSdYPrk7g2KoiQoe7M2tcxp5",
      "amount": 2797568337,
      "amount_usd": 3.15883081351159,
      "tx_signature": "9w6yz6eW6vrNJH1M3YRqVeiVLR9ZBK9Ntr23BCUncp8cPvEdpzP6ikoqrCWk4STpbXaA8nkJJQsqBNVNmCngWCp"
    },
    {
      "created_at": "2026-07-30T05:51:43+00:00",
      "lp_position": "HA1HAidPNpTQnNvEka962RH1Us7daeZYjGgT1VYQ71St",
      "market_address": "FucShr6KuSmawEo9q694njNzGJ8qR6yuXf1YTMRbGkYX",
      "vault_address": "FLWUHWccnouW4EkB4dgczX9ZkSTA4FTnADiKSCkJvLp5",
      "emission_mint": "5Y8NV33Vv7WbnLfq3zBcKSdYPrk7g2KoiQoe7M2tcxp5",
      "amount": 417210,
      "amount_usd": 0.0004710861880566,
      "tx_signature": "2x5GNfUiU337UnbyebQRfjMsyYkoG5YCQvMwWoq2dfg8KKsyg6KwThSjVsCUNfDCWRTDMZvWJxK1gsSRLeuvGb2Y"
    }
  ]
  ```

  ```json 400 theme={null}
  {
    "error": "<message>"
  }
  ```

  ```json 500 theme={null}
  {
    "error": "<message>"
  }
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.